# Uses of Class
org.eclipse.ui.ide.undo.ResourceDescription

Packages that use ResourceDescription
Package
Description
org.eclipse.ui.ide.undo
APIs that provide undo and redo behavior for operations that manipulate the workspace.

## Uses of ResourceDescription in org.eclipse.ui.ide.undo

Fields in org.eclipse.ui.ide.undo declared as ResourceDescription
Modifier and Type
Field
Description
`protected ResourceDescription[]`
AbstractResourcesOperation.`resourceDescriptions`
`protected ResourceDescription[]`
AbstractResourcesOperation.`resourceDescriptions`
`protected ResourceDescription[]`
AbstractResourcesOperation.`resourceDescriptions`
`protected ResourceDescription[]`
AbstractResourcesOperation.`resourceDescriptions`
`protected ResourceDescription[]`
AbstractResourcesOperation.`resourceDescriptions`
`protected ResourceDescription[]`
AbstractResourcesOperation.`resourceDescriptions`
`protected ResourceDescription[]`
AbstractResourcesOperation.`resourceDescriptions`
`protected ResourceDescription[]`
AbstractResourcesOperation.`resourceDescriptions`
Methods in org.eclipse.ui.ide.undo that return ResourceDescription
Modifier and Type
Method
Description
`static ResourceDescription`
ResourceDescription.`fromResource(IResource resource)`
Create a resource description given the specified resource.